%def_disable snapshot
%define _name sysd-manager
%define ver_major 1.25
%define rdn_name io.github.plrigaux.%name

%def_disable bootstrap

Name: %_name
Version: %ver_major.2
Release: alt1

Summary: A GUI to manage systemd units
License: GPL-3.0
Group: System/Configuration/Boot and Init
Url: https://github.com/plrigaux/sysd-manager

Vcs: https://github.com/plrigaux/sysd-manager.git

%if_disabled snapshot
Source: https://github.com/plrigaux/sysd-manager/archive/v%version/%name-%version.tar.gz
%else
Source: %name-%version.tar
%endif
Source1: %name-%version-cargo.tar

%define adw_ver 1.6

Requires: dconf polkit

BuildRequires(pre): rpm-macros-rust
BuildRequires: rust-cargo
BuildRequires: pkgconfig(libadwaita-1) >= %adw_ver
BuildRequires: pkgconfig(gtksourceview-5)
BuildRequires: pkgconfig(libsystemd)
%{?_enable_check:BuildRequires: /usr/bin/appstreamcli desktop-file-utils}

%description
Manage your Services, Timers, Sockets and other units. You can enable,
disable, stop and start them. Also, you can view their config file
and peak at their journal logs.

%prep
%setup -n %name-%version %{?_disable_bootstrap:-a1}
%{?_enable_bootstrap:
[ -d .cargo ] || mkdir .cargo
cargo vendor | sed 's/^directory = ".*"/directory = "vendor"/g' > .cargo/config.toml
tar -cf %_sourcedir/%name-%version-cargo.tar .cargo/ vendor/}

%build
%rust_build \
%ifarch %ix86 aarch64
    --config 'profile.release.lto=false'
%endif
%nil

%install
%rust_install
install -v -Dm644 data/applications/%rdn_name.desktop \
    -t %buildroot%_datadir/applications
install -v -Dm644 data/icons/hicolor/scalable/apps/%rdn_name.svg \
    -t %buildroot%_iconsdir/hicolor/scalable/apps
install -v -Dm644 data/schemas/%rdn_name.gschema.xml \
    -t %buildroot%_datadir/glib-2.0/schemas
install -v -Dm644 data/metainfo/%rdn_name.metainfo.xml \
    -t %buildroot%_datadir/metainfo

%find_lang %name

%files -f %name.lang
%_bindir/%name
%_desktopdir/%rdn_name.desktop
%_datadir/glib-2.0/schemas/%rdn_name.gschema.xml
%_iconsdir/hicolor/*/apps/%{rdn_name}*.svg
%_datadir/metainfo/%rdn_name.metainfo.xml
%doc CHANGELOG*  README*

%changelog
* Fri May 23 2025 Yuri N. Sedunov <aris@altlinux.org> 1.25.2-alt1
- 1.25.2

* Wed May 14 2025 Yuri N. Sedunov <aris@altlinux.org> 1.24.2-alt1
- 1.24.2

* Tue Apr 29 2025 Yuri N. Sedunov <aris@altlinux.org> 1.24.1-alt1
- 1.24.1

* Fri Apr 18 2025 Yuri N. Sedunov <aris@altlinux.org> 1.24.0-alt1
- 1.24.0

* Fri Apr 18 2025 Yuri N. Sedunov <aris@altlinux.org> 1.23.0-alt1
- 1.23.0

* Sat Apr 12 2025 Yuri N. Sedunov <aris@altlinux.org> 1.22.4-alt1
- 1.22.4

* Thu Apr 10 2025 Yuri N. Sedunov <aris@altlinux.org> 1.22.0-alt1
- 1.22.0

* Tue Apr 01 2025 Yuri N. Sedunov <aris@altlinux.org> 1.20.2-alt1
- 1.20.2

* Sat Mar 29 2025 Yuri N. Sedunov <aris@altlinux.org> 1.20.1-alt1
- 1.20.1

* Thu Mar 27 2025 Yuri N. Sedunov <aris@altlinux.org> 1.19.1-alt1
- 1.19.1

* Wed Mar 19 2025 Yuri N. Sedunov <aris@altlinux.org> 1.18.1-alt1
- 1.18.1

* Tue Mar 18 2025 Yuri N. Sedunov <aris@altlinux.org> 1.18.0-alt1
- 1.18.0

* Fri Mar 07 2025 Yuri N. Sedunov <aris@altlinux.org> 1.17.0-alt1
- 1.17.0

* Wed Feb 26 2025 Yuri N. Sedunov <aris@altlinux.org> 1.16.0-alt1
- 1.16.0

* Thu Feb 20 2025 Yuri N. Sedunov <aris@altlinux.org> 1.15.0-alt1
- 1.15.0

* Tue Feb 18 2025 Yuri N. Sedunov <aris@altlinux.org> 1.14.1-alt1
- 1.14.1

* Tue Feb 11 2025 Yuri N. Sedunov <aris@altlinux.org> 1.13.2-alt1
- 1.13.2

* Sat Feb 08 2025 Yuri N. Sedunov <aris@altlinux.org> 1.12.2-alt1
- 1.12.2

* Sun Jan 19 2025 Yuri N. Sedunov <aris@altlinux.org> 1.9.2-alt1
- 1.9.2

* Thu Jan 16 2025 Yuri N. Sedunov <aris@altlinux.org> 1.9.1-alt1
- 1.9.1

* Wed Jan 15 2025 Yuri N. Sedunov <aris@altlinux.org> 1.8.2-alt1
- 1.8.2

* Thu Jan 09 2025 Yuri N. Sedunov <aris@altlinux.org> 1.8.0-alt1
- 1.8.0

* Sat Jan 04 2025 Yuri N. Sedunov <aris@altlinux.org> 1.7.0-alt1
- 1.7.0

* Wed Jan 01 2025 Yuri N. Sedunov <aris@altlinux.org> 1.6.2-alt1
- 1.6.2

* Sun Dec 22 2024 Yuri N. Sedunov <aris@altlinux.org> 1.5.1-alt1
- 1.5.1

* Fri Dec 20 2024 Yuri N. Sedunov <aris@altlinux.org> 1.4.0-alt1
- 1.4.0

* Tue Dec 10 2024 Yuri N. Sedunov <aris@altlinux.org> 1.3.2-alt1
- 1.3.2

* Sun Dec 01 2024 Yuri N. Sedunov <aris@altlinux.org> 1.3.1-alt1
- 1.3.1

* Fri Nov 29 2024 Yuri N. Sedunov <aris@altlinux.org> 1.3.0-alt1
- 1.3.0

* Sun Nov 24 2024 Yuri N. Sedunov <aris@altlinux.org> 1.2.0-alt1
- 1.2.0

* Mon Nov 18 2024 Yuri N. Sedunov <aris@altlinux.org> 1.1.1-alt1
- first build for Sisyphus

